πv2 API Reference
API Authentication
What's new in API v2?
Endpoint Information
Authorizations
server-keystringRequired
REQUIRED ON ALL REQUESTS.
Query parameters
PlayersbooleanOptionalExample:
Include player list in response
trueStaffbooleanOptionalExample:
Include staff list (Admins, Mods, Helpers) in response
trueJoinLogsbooleanOptionalExample:
Include join logs in response
trueQueuebooleanOptionalExample:
Include queue data in response
trueKillLogsbooleanOptionalExample:
Include kill logs in response
trueCommandLogsbooleanOptionalExample:
Include command logs in response
trueModCallsbooleanOptionalExample:
Include moderator call logs in response
trueEmergencyCallsbooleanOptionalExample:
Include emergency call logs in response
trueVehiclesbooleanOptionalExample:
Include vehicle list in response
trueResponses
200
Requested data. Optional fields only included when query=true.
application/json
NamestringRequiredExample:
API TestOwnerIdintegerRequired
CoOwnerIdsinteger[]Required
CurrentPlayersintegerRequired
MaxPlayersintegerRequired
JoinKeystringRequiredExample:
APIServerAccVerifiedReqstringRequiredExample:
Disabled / Email / Phone/IDTeamBalancebooleanRequired
Queueinteger[]Optional
Only included when Queue=true query parameter is provided
403
Unauthorized
500
Error communicating with Roblox
application/json
get
/v2/serverAuthorizations
server-keystringRequired
REQUIRED ON ALL REQUESTS.
Body
commandstringOptionalExample:
The command to be executed
:h Hey everyone!Responses
200
Command executed successfully
application/json
messagestringOptionalExample:
A message explaining the status of your command
Success400
Bad request
application/json
403
Unauthorized
422
The private server has no players in it
application/json
500
Problem communicating with Roblox
application/json
post
/v2/server/commandLast updated